Summary: Enhanced bourne shell
Name: zsh
Version: 3.0.1
Release: 2
Copyright: GPL
Group: Shells
Source: ftp.math.gatech.edu:/pub/zsh/zsh-3.0.1.tar.gz
Patch1: zsh-sparc.patch
BuildRoot: /tmp/zsh-root
%description
zsh is an enhanced version of the bourne shell with these features:
	- very close to ksh/sh grammar, with csh additions
	- most features of ksh, bash, and tcsh
	- 75 builtins, 89 options, 154 key bindings
	- short for loops, ex: for i (*.c) echo $i
	- select
	- shell functions
...and many more

%prep
%setup
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"  ./configure --prefix=/usr --bindir=/bin --enable-etcdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/etc
rm -f /usr/info/zsh*
make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/bin install
strip $RPM_BUILD_ROOT/bin/zsh
chmod 755 $RPM_BUILD_ROOT/bin/zsh
gzip -9nf $RPM_BUILD_ROOT/usr/info/zsh*
cp Etc/{BUGS,FAQ,CONTRIBUTORS,FEATURES,NEWS} .
for I in zshrc zlogin zlogout zshenv zprofile; do
	touch $RPM_BUILD_ROOT/etc/$I
done
%post
if [ ! -f /etc/shells ]; then
	echo "/bin/zsh" > /etc/shells
else
	if ! grep '^/bin/zsh$' /etc/shells > /dev/null; then
		echo "/bin/zsh" >> /etc/shells
	fi
fi

%postun
if [ -f /etc/shells ]; then
	grep -v '^/bin/zsh$' /etc/shells > /tmp/.zshrpm$$
	cp -f /tmp/.zshrpm$$ /etc/shells
	rm -f /tmp/.zshrpm$$
	chmod 644 /etc/shells
fi

%files
%doc META-FAQ README NEWS ChangeLog Etc Util Functions CONTRIBUTORS BUGS FAQ
%doc FEATURES
/bin/zsh
/usr/man/man1/zsh*.1
/usr/info/zsh*gz
%config /etc/zshrc
%config /etc/zlogout
%config /etc/zshenv
%config /etc/zprofile
%config /etc/zlogin

